Creates an affiliate partner campaign for either specific sellers identified by shop code or eligible seller types. Configure the campaign period, seller registration period, commission rate, and contact information. When the campaign is created successfully, the operation returns the new campaign_id synchronously. The campaign is not displayed to sellers after creation. To publish a successfully created campaign, call POST /affiliate_partner/202405/campaigns/{campaign_id}/publish with the returned campaign ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”The partner identifier used in API requests. Retrieve this value by using the Get Authorized Category Assets API.
Request Bodyrequired
Section titled “Request Bodyrequired”object
The campaign name. Must contain 1 to 50 characters, inclusive, and must not start with a space.
The campaign description. Must contain 1 to 1000 characters, inclusive, and must not start with a space.
The scheduled campaign start time as a Unix timestamp in seconds. It must not be earlier than the current time. In subsequent edits, this value can be changed only when the campaign status is READY or UPCOMING.
The scheduled campaign end time as a Unix timestamp in seconds. It must be later than campaign_start_time, and the campaign period must be between 1 and 360 days, inclusive. In subsequent edits, this value cannot be changed when the campaign status is CLOSED.
The scheduled start time for seller product registration as a Unix timestamp in seconds. It must be equal to campaign_start_time. In subsequent edits, this value can be changed only when the campaign status is READY or UPCOMING.
The scheduled end time for seller product registration as a Unix timestamp in seconds. It must be later than registration_start_time; the registration period must be at least 1 day and must not extend beyond campaign_end_time. In subsequent edits, this value cannot be changed when the campaign status is CLOSED.
The total commission rate, in hundredths of a percent (0.01%) units, proposed by the affiliate partner for display to sellers. The value must be between 100 and 8000, inclusive.
The partner’s contact information.
object
The partner’s phone number registered in WhatsApp, in E.164 international format. Required if the target market is MY, SG, GB, or ID; optional if the target market is US; otherwise, not applicable.
The partner’s email address.
The partner’s phone number in E.164 international format.
The partner’s phone number registered in Zalo, in E.164 international format. Required if the target market is VN; otherwise, not applicable.
The partner’s phone number registered in Viber, in E.164 international format. Required if the target market is PH; otherwise, not applicable.
The partner’s phone number registered in LINE, in E.164 international format. Required if the target market is TH; otherwise, not applicable.
A list of TikTok Shop seller shop codes that may register for the campaign. Find a seller’s shop code in TikTok Shop Seller Central by selecting the Seller Profile icon in the top-right corner of the user interface. Specify exactly one of target_shop_codes and target_seller_types. The list must contain fewer than 100 items.
A list of eligible seller types that may register for the campaign. Use this field to target seller types instead of specific sellers in target_shop_codes. Specify exactly one of target_seller_types and target_shop_codes.
Possible values:
LOCALCROSS_BORDER
Example
{ "name": "my first campaign", "description": "campaign for test", "campaign_start_time": 1712941200, "campaign_end_time": 1715878799, "registration_start_time": 1712941200, "registration_end_time": 1713891599, "commission_rate": 1000, "contact_info": { "whatsapp": "+14255550100", "email": "123456@gmail.com", "phone": "+14255550100", "zalo": "+14255550100", "viber": "+14255550100", "line": "+14255550100" }, "target_shop_codes": [ "THCBELNL4Y" ], "target_seller_types": [ "CROSS_BORDER" ]}Responses
Section titled “Responses”Success
object
Status code; 0 means success.
Success or failure message.
Request log ID.
object
The campaign identifier.
Example
{ "code": 0, "data": { "campaign_id": "7356411663443183367" }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}